<!-- Creado: Félix Ricardo Oliva Alonso, 31/07/2017. Se crea la vista para agregar Servicios -->
<!-- Creado: Félix Ricardo Oliva Alonso, 01/07/2017. Se modifica la vista -->
<!-- Creado: Félix Ricardo Oliva Alonso, 02/07/2017. Se modifica la vista -->
<script src="js/notify.js"></script>
<?php
  use App\Libraries\ejLib;
  $var = ejLib::getInstance();
  $soapclient = $var->getWs();
  $wsClave = $var->get_wsClave();

  $vCat_Servicios = $soapclient->vCat_Servicios($wsClave);
  $Cat  = new SimpleXMLElement($vCat_Servicios);
  //echo $vCat_Servicios.'<br><br>';

  $Admision_listaServicios = $soapclient->Admision_listaServicios($_POST['ID_Doc'] , $_POST['Centro_Sal'] , $wsClave);
  $Cat2  = new SimpleXMLElement($Admision_listaServicios);
  //echo $Admision_listaServicios;
  /*
    $Centro_Sal = '95';
    $idServicio = '4';
    $IDDOC = '-3';
    $Admision_agregar_RelServicioPersonal = $soapclient->Admision_agregar_RelServicioPersonal($Centro_Sal,$idServicio,$IDDOC, $wsClave);
    echo $Admision_agregar_RelServicioPersonal;
  */
?>





<style media="screen">
  .contenedor_tabla{
  	min-height: 320px;
    width: 990px;
    margin: auto;
	  margin-top: 5px;
  }
  .tabla_agregar,  .tabla_remover{
    height: 320px;
    width: 475px;
    float: left;
    margin: 0px 8px 0px 5px;
    overflow-x: hidden;
    overflow-y: scroll;

  }
  table{ width: 100%;}
  td{border: 0.5px solid #ccc; }
  .agregar_modulo, .remover_modulo{border: 0; outline: 0;}
  .uno{opacity: 0.3;}
</style>


<script>

	$(document).ready(function(){
		var con=0;
		$(".tabla_remo .mac").each(function(){
			var mac=$(this).html();
			con=con+1;
			$('#equiposAsignados').html(con);
			$(".tabla_agre .mac").each(function(){
				var mac2=$(this).html();
					if (mac==mac2) {$(this).closest("tr").remove();}
					});
			});
	});
///////////////////////
$(document).on("click", ".agregar_modulo", function(event) {
    event.stopImmediatePropagation();
    var filaActual = $(this).closest('tr');
    var macActual = filaActual.find('.mac').html();           // Este es el id del servicio
    var perfilActual = filaActual.find('.perfil').html();     // Este es el nombre del servicio

    var tr = '';
    var imagen_remover = '<input type="image" style="margin-left:15px;" src="Img/Activar.png" class="remover_modulo cero" width="20px" height="20px" title="Remover este servicio">';
    tr+= '<tr class="borrar"><td class="mac">'+macActual+'</td><td class="perfil">'+perfilActual+'</td><td>'+imagen_remover+'</td></tr>';
    var agregar = $('.tabla_remo').append(tr);
    $(filaActual).closest("tr").remove();
    ADD_MOD(macActual);
});

function ADD_MOD(macActual){
  $.post({
    url:  'add-servicio-medico',
    type: "POST",
    data:  { Centro_Sal: '{!! $_POST['Centro_Sal']; !!}', ID_Doc: '{!! $_POST['ID_Doc']; !!}', idServicio: macActual },

    success :  function (data)        {$.notify("Servicio agregado exitosamente", "success");},
    error   :  function (xhr, status) {$.notify("No se pudo realizar esta acción", "error"); $('.tabla_remo tr:last').remove();},
  });
}
///////////////////////


$(document).on("click", ".remover_modulo", function(event) {
  event.stopImmediatePropagation();
  var filaActual = $(this).closest('tr');
  var macActual = filaActual.find('.mac').html();           // Este es el id del servicio
  var perfilActual = filaActual.find('.perfil').html();     // Este es el nombre del servicio

  var estado = filaActual.find(".cero").html();
  if(estado != null )
  {/*alert("Se dará de baja");*/var BajaLog = 1;$(this).removeClass( "cero" ).addClass('uno');}   // Este es el estado del servicio
  else
  {/*alert("Se dará de alta");*/var BajaLog = 0;$(this).removeClass( "uno" ).addClass('cero');}   // Este es el estado del servicio
  /*var tr = '';
  var imagen_remover = '<input type="image" style="margin-left:15px;" src="Img/Baja.png" class="agregar_modulo" width="20px" height="20px" title="Asignar este servicio">';
  tr = '<tr class="con"><td class="mac">'+macActual+'</td><td class="perfil">'+perfilActual+'</td><td>'+imagen_remover+'</td></tr>';
  var agregar = $('.tabla_agre').append(tr);
  $(filaActual).closest("tr").remove();
  */
  REM_MOD(macActual,BajaLog);
});

function REM_MOD(macActual,BajaLog){
  $.post({
    url:  'remove-servicio-medico',
    type: "POST",
    data:  { Centro_Sal: '{!! $_POST['Centro_Sal']; !!}', ID_Doc: '{!! $_POST['ID_Doc']; !!}', idServicio: macActual, BajaLog: BajaLog },

    success :  function (data)
    {  $.notify("Cambio de estado exitoso", "success"); },
    error   :  function (xhr, status)
    {  $.notify("No se pudo realizar esta acción", "error");},
  });
}


///////////////////////
</script>



<div class="contenedor_tabla">
  <div class="row">

	  <div class="tabla_agregar ">
	    <table class="tabla_agre">
        <tr><th colspan="3" style="text-align:center">SERVICIOS NO ASIGNADOS</th></tr>
  			<tr class="titulo_tabla"><th >ID</th><th>Nombre Servicio</th><th width="30px">Opciones</th></tr>
        @foreach($Cat->respuesta as $rcat)
          <tr class="con">
            <td class="mac">{!! trim($rcat->idservicio) !!}</td>
            <td class="perfil">{!! trim($rcat->nombre) !!}</td>
            <td class="validar">
              <input type="image" style="margin-left:15px;" src="Img/Baja.png" width="20px" class="agregar_modulo" title="Asignar este servicio" >
            </td>
          </tr>
        @endforeach
	    </table>
	  </div>

    {{-- <div class="botones">
      <div class="boton"><input type="image" class="agregar_todos" src="Img/arrow_add.png" height="40px" width="40px" title="Agregar todos"/></div>
      <div class="boton"><input type="image" class="eliminar_todos" src="Img/arrow_remove.png" height="40px" width="40px" title="Eliminar todos"/></div>
    </div> --}}

  	<div class="tabla_remover">
  		<table class="tabla_remo">
        <tr><th colspan="3" style="text-align:center">SERVICIOS ASIGNADOS</th></tr>
        <tr class="titulo_tabla"><th >ID</th><th>Nombre Servicio</th><th width="30px">Opciones</th></tr>
        @foreach($Cat2->respuesta as $rcat)
          <tr class="borrar">
            <td class="mac">{!! trim($rcat->idservicio) !!}</td>
            <td class="perfil">{!! trim($rcat->nombre) !!}</td>
            <td>
              @if ($rcat->baja_log==0)
                <input type="image"  style="margin-left:15px;" src="Img/Activar.png" class="remover_modulo cero" width="20px" height="20px" title="Dar de baja este servicio">
              @else
                <input type="image"  style="margin-left:15px;" src="Img/Activar.png" class="remover_modulo uno" width="20px" height="20px" title="Dar de alta este servicio">
              @endif
            </td>
          </tr>
        @endforeach
  		</table>
  	</div>
  </div>
</div>
